Add tags to company Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/tag

You can provide an array of tags in various formats. Each element in the array can be:

  • a string of the tag name (and it will find it if it exists for the firm)
  • a UUID of a tag that already exists
  • an array of a name value and a colour value. e.g. ['name' => 'Urgent', 'colour' => '#FF0000']

There are four different modes for dealing with tags on a model.

  • create = Create the tags you provide with no model attached to them.
  • attach = Add the tags you provide to the model, keeping any tags already on the model.
  • sync = Only the tags you provide in the request should exist on the model, this will remove any that you have not provided.
  • detach = Remove the tags you provide from the model.
application/json

Body

  • mode string Required

    Mode for dealing with tags. Attach will add the tags to the model, sync will remove all other tags and add the ones provided, detach will remove the tags from the model, create will create the tags without attaching them to a model.

    Values are attach, sync, detach, or create.

  • taggable_type string Required

    Model type to assign these tags to.

    Values are account, board, board_task, case, conversation, file, note, or plan.

  • taggable_uuid string(uuid) Required

    Model UUID to assign these tags to.

  • tags array[string | string(uuid) | object] Required

    Tags can be provided in various formats. If you do not provide a colour a random one will be chosen for you.

    Any of:

    Tag name as a string. The tag will be created if it does not already exist.

    Tag UUID. The tag must already exist.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • colour string
POST /api/v1/tag
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/tag' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"mode":"attach","taggable_type":"account","taggable_uuid":"dd38dec4-3aa1-4f52-84d5-3ba4ac143480","tags":["Reviewed","c7fcb459-6c16-4951-8e80-d410ddc51c0d",{"name":"Urgent","colour":"#FF0000"}]}'
Request examples
{
  "mode": "attach",
  "taggable_type": "account",
  "taggable_uuid": "dd38dec4-3aa1-4f52-84d5-3ba4ac143480",
  "tags": [
    "Reviewed",
    "c7fcb459-6c16-4951-8e80-d410ddc51c0d",
    {
      "name": "Urgent",
      "colour": "#FF0000"
    }
  ]
}
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "a0e49483-56ce-4fb1-9820-1f2e25bc1f4b",
        "created_at": "2026-07-17T15:25:29+01:00",
        "updated_at": "2026-07-17T15:25:29+01:00",
        "name": "Mortgage",
        "slug": "mortgage",
        "colour": "#ef4582"
      }
    ]
  ]
}